Package javassist.bytecode

# Class SignatureAttribute.ObjectType

java.lang.Object
javassist.bytecode.SignatureAttribute.Type
javassist.bytecode.SignatureAttribute.ObjectType

Direct Known Subclasses:
  `SignatureAttribute.ArrayType`, `SignatureAttribute.ClassType`, `SignatureAttribute.TypeVariable`

Enclosing class:
  `SignatureAttribute`

public abstract static class SignatureAttribute.ObjectType extends SignatureAttribute.Type
Class types, array types, and type variables. This class is also used for representing a field type.

## Constructor Summary

Constructors
Constructor
Description
`ObjectType()`

## Method Summary

Modifier and Type
Method
Description
`String`
`encode()`
Returns the encoded string representing the object type signature.

### Methods inherited from class javassist.bytecode.SignatureAttribute.Type

`jvmTypeName`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectType

public ObjectType()

## Method Details

### encode

public String encode()
Returns the encoded string representing the object type signature.